Reply to topic

last update caused unmet dependencies

walterkbjoseph
Registered Member
Posts
1
Karma
0
Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Starting pkgProblemResolver with broken count: 5
Starting 2 pkgProblemResolver with broken count: 5
Investigating (0) kmail:amd64 < none -> 4:19.12.3-0xneon+18.04+bionic+build59 @un puN Ib >
Broken kmail:amd64 Depends on libkf5messageviewer5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build59 @un uH >
  Considering libkf5messageviewer5:amd64 5 as a solution to kmail:amd64 10000
    Reinst Failed early because of libqca-qt5-2:amd64
  Considering libkf5messageviewer5:amd64 5 as a solution to kmail:amd64 10000
  Considering libkf5messageviewer5:amd64 5 as a solution to kmail:amd64 10000
  Considering libkf5messageviewer5:amd64 5 as a solution to kmail:amd64 10000
Investigating (0) libkf5messagecomposer5:amd64 < none -> 4:19.12.3-0xneon+18.04+bionic+build59 @un uN Ib >
Broken libkf5messagecomposer5:amd64 Depends on libkf5messageviewer5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build59 @un uH >
  Considering libkf5messageviewer5:amd64 5 as a solution to libkf5messagecomposer5:amd64 6
  Holding Back libkf5messagecomposer5:amd64 rather than change libkf5messageviewer5:amd64
Investigating (0) libkf5mailcommon5:amd64 < none -> 4:19.12.3-0xneon+18.04+bionic+build57 @un uN Ib >
Broken libkf5mailcommon5:amd64 Depends on libkf5messagecomposer5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build59 @un uH >
  Considering libkf5messagecomposer5:amd64 6 as a solution to libkf5mailcommon5:amd64 4
  Holding Back libkf5mailcommon5:amd64 rather than change libkf5messagecomposer5:amd64
Investigating (0) libkpimimportwizard5:amd64 < none -> 4:19.12.3-0xneon+18.04+bionic+build56 @un uN Ib >
Broken libkpimimportwizard5:amd64 Depends on libkf5mailcommon5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build57 @un uH >
  Considering libkf5mailcommon5:amd64 4 as a solution to libkpimimportwizard5:amd64 0
  Holding Back libkpimimportwizard5:amd64 rather than change libkf5mailcommon5:amd64
Investigating (0) kdepim-addons:amd64 < none -> 19.12.3-0xneon+18.04+bionic+build65 @rc uN Ib >
Broken kdepim-addons:amd64 Depends on libkf5mailcommon5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build57 @un uH >
  Considering libkf5mailcommon5:amd64 4 as a solution to kdepim-addons:amd64 0
  Holding Back kdepim-addons:amd64 rather than change libkf5mailcommon5:amd64
Investigating (0) kdepim-themeeditors:amd64 < none -> 4:19.12.3-0xneon+18.04+bionic+build55 @rc uN Ib >
Broken kdepim-themeeditors:amd64 Depends on libkf5messageviewer5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build59 @un uH >
  Considering libkf5messageviewer5:amd64 5 as a solution to kdepim-themeeditors:amd64 0
  Holding Back kdepim-themeeditors:amd64 rather than change libkf5messageviewer5:amd64
Investigating (0) mbox-importer:amd64 < none -> 4:19.12.3-0xneon+18.04+bionic+build55 @un uN Ib >
Broken mbox-importer:amd64 Depends on libkf5mailcommon5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build57 @un uH >
  Considering libkf5mailcommon5:amd64 4 as a solution to mbox-importer:amd64 0
  Holding Back mbox-importer:amd64 rather than change libkf5mailcommon5:amd64
Investigating (0) pim-data-exporter:amd64 < none -> 4:19.12.3-0xneon+18.04+bionic+build56 @rc uN Ib >
Broken pim-data-exporter:amd64 Depends on libkf5mailcommon5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build57 @un uH >
  Considering libkf5mailcommon5:amd64 4 as a solution to pim-data-exporter:amd64 0
  Holding Back pim-data-exporter:amd64 rather than change libkf5mailcommon5:amd64
Investigating (1) kmail:amd64 < none -> 4:19.12.3-0xneon+18.04+bionic+build59 @un puN Ib >
Broken kmail:amd64 Depends on libkf5mailcommon5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build57 @un uH >
  Considering libkf5mailcommon5:amd64 4 as a solution to kmail:amd64 10000
    Reinst Failed because of libkf5messageviewer5:amd64
    Reinst Failed because of libkf5messagecomposer5:amd64
  Considering libkf5mailcommon5:amd64 4 as a solution to kmail:amd64 10000
  Considering libkf5mailcommon5:amd64 4 as a solution to kmail:amd64 10000
  Considering libkf5mailcommon5:amd64 4 as a solution to kmail:amd64 10000
Broken kmail:amd64 Depends on libkf5messagecomposer5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build59 @un uH >
  Considering libkf5messagecomposer5:amd64 6 as a solution to kmail:amd64 10000
  Considering libkf5messagecomposer5:amd64 6 as a solution to kmail:amd64 10000
  Considering libkf5messagecomposer5:amd64 6 as a solution to kmail:amd64 10000
  Considering libkf5messagecomposer5:amd64 6 as a solution to kmail:amd64 10000
Broken kmail:amd64 Depends on libkf5messageviewer5:amd64 < none | 4:19.12.3-0xneon+18.04+bionic+build59 @un uH >
  Considering libkf5messageviewer5:amd64 5 as a solution to kmail:amd64 10000
  Considering libkf5messageviewer5:amd64 5 as a solution to kmail:amd64 10000
  Considering libkf5messageviewer5:amd64 5 as a solution to kmail:amd64 10000
  Considering libkf5messageviewer5:amd64 5 as a solution to kmail:amd64 10000
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 kmail : Depends: libkf5mailcommon5 but it is not going to be installed
         Depends: libkf5messagecomposer5 but it is not going to be installed
         Depends: libkf5messageviewer5 but it is not going to be installed
         Recommends: kdepim-addons but it is not going to be installed
         Recommends: kdepim-themeeditors but it is not going to be installed
         Recommends: mbox-importer but it is not going to be installed
         Recommends: pim-data-exporter but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
sumitmaurya
Registered Member
Posts
2
Karma
0
Hi,

Even I am facing same issue where after updating to Plasma 5.18.3 following app got removed: Kmail, support for kopete and Okular
I am able to find any update related to this in forum

Package update log:

Code: Select all
$ pkcon update
Getting updates               [=========================]         
Finished                      [=========================]         
Loading cache                 [=========================]         
Testing changes               [=========================]         
Finished                      [                         ] (0%) 
The following packages have to be removed:
 akonadiconsole-4:19.12.2-0xneon+18.04+bionic+build54.amd64     management and
debugging console for akonadi
 akregator-4:19.12.2-0xneon+18.04+bionic+build59.amd64  RSS/Atom feed aggregator
 kdepim-addons-19.12.2-0xneon+18.04+bionic+build64.amd64        Addons for KDE
PIM applications
 kdepim-themeeditors-4:19.12.2-0xneon+18.04+bionic+build54.amd64        Theme
Editors for KDE PIM applications
 kdevelop-4:5.5.0-0xneon+18.04+bionic+build30.amd64     integrated development
environment for KDE
 kdevplatform55-libs-4:5.5.0-0xneon+18.04+bionic+build30.amd64  shared libraries
for the KDevelop platform
 kmail-4:19.12.2-0xneon+18.04+bionic+build58.amd64      full featured graphical
email client
 kopete-4:19.12.2-0xneon+18.04+bionic+build45.amd64     instant messaging and
chat application
 libkasten4okteta2controllers0-5:0.26.3-0xneon+18.04+bionic+build12.amd64       
kastencontrollers library for Okteta
 libkf5mailcommon5-4:19.12.2-0xneon+18.04+bionic+build56.amd64  KDE PIM email
utility library
 libkf5messagecomposer5-4:19.12.2-0xneon+18.04+bionic+build58.amd64     KDE PIM
messaging library, composer library
 libkf5messageviewer5-4:19.12.2-0xneon+18.04+bionic+build58.amd64       KDE PIM
messaging library, message viewer library
 libkpimimportwizard5-4:19.12.2-0xneon+18.04+bionic+build55.amd64       PIM data
import wizard - library
 mbox-importer-4:19.12.2-0xneon+18.04+bionic+build54.amd64      MBox email
archive importer
 okular-4:19.12.2-0xneon+18.04+bionic+build49.amd64     universal document
viewer
 pim-data-exporter-4:19.12.2-0xneon+18.04+bionic+build55.amd64  back up and
archive PIM data

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], farid, Google [Bot], Majestic-12 [Bot], MSN [Bot], Sogou [Bot], Yahoo [Bot]